package de.bsvrz.buv.plugin.darstellung.actions;

import de.bsvrz.buv.plugin.darstellung.editors.AnsichtEditor;

/**
 * Enthlt Konstanten der Aktionen im Plug-in <em>Darstellungsobjekte</em> fr
 * den Teil <em>Darstellung</em>.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public interface DarstellungActionConstants {

	/** Konstante fr den Property Contributor des {@link AnsichtEditor}. */
	String ANSICHT_PROPERTIES = "de.bsvrz.buv.plugin.darstellung.ansicht.propertyContributor";

	/** Konstante fr das entsprechende Kommando. */
	String ZEIGE_ANSICHT = "de.bsvrz.buv.plugin.darstellung.command.zeigeAnsicht";

	/** Konstante fr das entsprechende Kommando. */
	String EDIT_ANSICHTEN = "de.bsvrz.buv.plugin.darstellung.command.editAnichten";

}
