package de.bsvrz.buv.plugin.darstellung.wizards;

import de.bsvrz.buv.plugin.darstellung.model.DarstellungPackage;
import de.bsvrz.buv.plugin.darstellung.util.AnsichtenEinstellungen;

/**
 * Wizard zum importieren von Ansichten.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class AnsichtImportWizard extends AbstractImportWizard {

	/**
	 * Initialisiert den Wizard.
	 */
	public AnsichtImportWizard() {
		super(DarstellungPackage.Literals.ANSICHT,
				AnsichtenEinstellungen.INSTANCE);
	}

	@Override
	protected AbstractImportWizardPage getImportWizardPage() {
		return new AnsichtImportWizardPage(AnsichtImportWizardPage.class
				.getName());
	}

}
