package de.bsvrz.buv.plugin.darstellung.wizards;

import de.bsvrz.buv.plugin.darstellung.model.DarstellungPackage;
import de.bsvrz.buv.plugin.darstellung.util.DarstellungenEinstellungen;

/**
 * Wizard zum importieren von Darstellungen.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class DarstellungImportWizard extends AbstractImportWizard {

	/**
	 * Initialisiert den Wizard.
	 */
	public DarstellungImportWizard() {
		super(DarstellungPackage.Literals.DARSTELLUNG,
				DarstellungenEinstellungen.INSTANCE);
	}

	@Override
	protected AbstractImportWizardPage getImportWizardPage() {
		return new DarstellungImportWizardPage(
				DarstellungImportWizardPage.class.getName());
	}

}
