package de.bsvrz.buv.plugin.dobj.editparts;

import java.util.List;

import org.eclipse.draw2d.AbstractPointListShape;

import de.bsvrz.sys.funclib.bitctrl.geolib.WGS84Koordinate;
import de.bsvrz.sys.funclib.bitctrl.modell.tmgeoreferenzierungglobal.objekte.Linie;
import de.bsvrz.sys.funclib.bitctrl.modell.util.geolib.WGS84Util;

/**
 * Basisklasse fr Edit Parts die als Controller fuer Systemobjekte die
 * <code>typ.linie</code> erweitern.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 * @param <T>
 */
public abstract class LinieEditPart<T extends Linie, F extends AbstractPointListShape>
		extends PunktlisteEditPart<T, F> {

	@Override
	protected List<WGS84Koordinate> doGetWgs84Koordinaten() {
		return WGS84Util.konvertiere(getSystemObjekt());
	}

}
