package de.bsvrz.buv.plugin.dobj.vektor;

import java.util.ArrayList;

import org.eclipse.draw2d.geometry.PointList;

class PKStack {

	private final ArrayList<ParallelKomplex> list = new ArrayList<ParallelKomplex>();

	private PointList punkte;

	final ParallelKomplex popGet() {
		if (list.isEmpty()) {
			return null;
		}
		return list.get(list.size() - 1);
	}

	final void push(final ParallelKomplex pk) {
		list.add(pk);
	}

	public final PointList getPunkte() {
		if (punkte == null) {
			punkte = new PointList();
			int i = 0;
			for (; i < list.size(); i++) {
				punkte.addPoint(list.get(i).getpSchnittMitVorgaenger());
			}
			punkte.addPoint(list.get(i - 1).getpSchnittMitNachfolger());
		}
		return punkte;
	}

}
