package de.bsvrz.buv.plugin.darstellung.wizards;

import de.bsvrz.buv.plugin.darstellung.model.DarstellungPackage;

/**
 * Wizard Page fr den Import von Ansichten.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class AnsichtImportWizardPage extends AbstractImportWizardPage {

	/**
	 * Initialisert die Wizard Page.
	 */
	public AnsichtImportWizardPage(final String pageName) {
		super(pageName, DarstellungPackage.Literals.ANSICHT);

		setTitle("Ansicht importieren");
		setDescription("Bitte whlen Sie eine oder mehrere Ansichten aus, die Sie importieren wollen.");
	}

}
