/*
 * Rahmenwerk-Plug-in "Darstellungsobjekte"
 * Copyright (C) 2012 BitCtrl Systems GmbH 
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */
package de.bsvrz.buv.plugin.dobj.decorator;

import org.eclipse.draw2d.IFigure;
import org.eclipse.swt.graphics.Color;

public interface StoerfallIndikatorFigure extends IFigure {

	StoerfallSituation getStoerfallSituation();

	void setStoerfallSituation(final StoerfallSituation stoerfallSituation);

	Color getStoerungFarbe();

	void setStoerungFarbe(final Color stoerungFarbe);

	Color getKeineAussageFarbe();

	void setKeineAussageFarbe(final Color keineAussageFarbe);

	Color getFreierVerkehrFarbe();

	void setFreierVerkehrFarbe(final Color freierVerkehrFarbe);

	Color getLebhafterVerkehrFarbe();

	void setLebhafterVerkehrFarbe(final Color lebhafterVerkehrFarbe);

	Color getDichterVerkehrFarbe();

	void setDichterVerkehrFarbe(final Color dichterVerkehrFarbe);

	Color getZaehfliessenderVerkehrFarbe();

	void setZaehfliessenderVerkehrFarbe(final Color zaehfliessenderVerkehrFarbe);

	Color getStockenderVerkehrFarbe();

	void setStockenderVerkehrFarbe(final Color stockenderVerkehrFarbe);

	Color getStauFarbe();

	void setStauFarbe(final Color stauFarbe);

}